libmwaw::PrinterJob Struct Reference

Internal: structure used to keep a printer job. More...

## Public Member Functions

bool | read (MWAWInputStreamPtr input)
| read data from file More...

## Protected Attributes

int | m_firstPage
| first page More...
int | m_lastPage
| last page More...
int | m_copies
| number of copies More...
int | m_jobDocLoop
| printing method: draft or defered More...
int | m_fileVol
| volume reference number More...
int | m_fileVers
| version of spool file More...
int | m_fromUser
| reserved More...

## Friends

std::ostream & | operator<< (std::ostream &o, PrinterJob const &r)
| operator<< More...

## Detailed Description

Internal: structure used to keep a printer job.

## Member Function Documentation

bool libmwaw::PrinterJob::read | ( | MWAWInputStreamPtr | input | ) |

inline

read data from file

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | PrinterJob const & | r
| ) |  |

friend

operator<<

## Member Data Documentation

int libmwaw::PrinterJob::m_copies

protected

number of copies

Referenced by read().

int libmwaw::PrinterJob::m_fileVers

protected

version of spool file

Referenced by read().

int libmwaw::PrinterJob::m_fileVol

protected

volume reference number

Referenced by read().

int libmwaw::PrinterJob::m_firstPage

protected

first page

Referenced by read().

int libmwaw::PrinterJob::m_fromUser

protected

reserved

Referenced by read().

int libmwaw::PrinterJob::m_jobDocLoop

protected

printing method: draft or defered

Referenced by read().

int libmwaw::PrinterJob::m_lastPage

protected

last page

Referenced by read().

The documentation for this struct was generated from the following file:

- MWAWPrinter.cxx